System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.TransformerInfo), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The class allows you to programmatically access and modify the transformers section of the webParts section of a configuration file.

objects, as part of a , specify custom classes that extend the class. These transformer classes act as bridges between connected Web Parts, translating data sent by a connection provider into something that the connection consumer can accept.

Contains a collection of objects. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. The property of the class always contains an instance of the type. Use this instance, rather than creating your own.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same property value.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void

  This method removes all objects from the collection and inserts a clear element into the transformers collection of the webParts section of the configuration file.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added.

  Creates a new object.

  A new object.

  2.0.0.0
- Method
  System.Object `` To be added.

  Returns the key of the passed object.

  The key of the passed object.

  A . The specified configuration element should be a object that exists in the collection. 2.0.0.0
- Property
  System.Web.Configuration.TransformerInfo `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a that contains the properties for this .

  2.0.0.0
- Method
  System.Void ``

  This method removes a object from the collection and, if the object is defined in a higher-level configuration file, inserts a remove element into the transformers collection of the webParts section of the configuration file.

  Removes the object with the passed property value from the collection.

  The name of a object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  This method removes a object from the collection and, if the object is defined in a higher-level configuration file, inserts a remove element into the transformers collection of the webParts section of the configuration file.

  Removes the object from the collection at the passed index.

  The index of a object to remove from the collection. 2.0.0.0